<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>G-CTMQC: output Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">G-CTMQC
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('namespaceoutput.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">output Module Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Output subroutines that print: electronic populations and coherences as functions of time; electronic coefficients as functions of positions at different time steps; positions, momenta and energies at different time steps.  
<a href="namespaceoutput.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a97d7611603ef98cdf4434e93ae5ea38d"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceoutput.html#a97d7611603ef98cdf4434e93ae5ea38d">plot</a> (BOsigma, Rcl, Vcl, time)</td></tr>
<tr class="memdesc:a97d7611603ef98cdf4434e93ae5ea38d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Subroutine which writes electronic populations and coherences in output and calls additional output subroutines.  <a href="namespaceoutput.html#a97d7611603ef98cdf4434e93ae5ea38d">More...</a><br /></td></tr>
<tr class="separator:a97d7611603ef98cdf4434e93ae5ea38d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9b4106993ba0f3f342033fbb3965daa"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceoutput.html#ac9b4106993ba0f3f342033fbb3965daa">plot_coefficients</a> (BOsigma, Rcl, time)</td></tr>
<tr class="memdesc:ac9b4106993ba0f3f342033fbb3965daa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Subroutine which writes electronic coeffecients as functions of the trajectory positions at some selected time steps along the dynamics.  <a href="namespaceoutput.html#ac9b4106993ba0f3f342033fbb3965daa">More...</a><br /></td></tr>
<tr class="separator:ac9b4106993ba0f3f342033fbb3965daa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab306200f08bbb52e685f616adb4ed5ec"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceoutput.html#ab306200f08bbb52e685f616adb4ed5ec">plot_r_p_e</a> (Rcl, Vcl, time)</td></tr>
<tr class="memdesc:ab306200f08bbb52e685f616adb4ed5ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Subroutine which writes electronic coeffecients as functions of the trajectory positions at some selected time steps along the dynamics.  <a href="namespaceoutput.html#ab306200f08bbb52e685f616adb4ed5ec">More...</a><br /></td></tr>
<tr class="separator:ab306200f08bbb52e685f616adb4ed5ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d2caef916d021721f8eb6529aac2b4f"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceoutput.html#a3d2caef916d021721f8eb6529aac2b4f">compute_energy</a> (my_rho, e_BO, trajlabel)</td></tr>
<tr class="memdesc:a3d2caef916d021721f8eb6529aac2b4f"><td class="mdescLeft">&#160;</td><td class="mdescRight">The subroutine computes the expectation value of the electronic Hamiltonian on the time-dependent electronic wavefunction, yielding the gauge-invariant part of the TDPES in CT-MQC or the mean Ehrenfest potential.  <a href="namespaceoutput.html#a3d2caef916d021721f8eb6529aac2b4f">More...</a><br /></td></tr>
<tr class="separator:a3d2caef916d021721f8eb6529aac2b4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86836a6f446885d459f048a9c0f393fb"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceoutput.html#a86836a6f446885d459f048a9c0f393fb">initialize_output</a></td></tr>
<tr class="memdesc:a86836a6f446885d459f048a9c0f393fb"><td class="mdescLeft">&#160;</td><td class="mdescRight">The files where electronic populations and coherences are written are opened in this subroutine.  <a href="namespaceoutput.html#a86836a6f446885d459f048a9c0f393fb">More...</a><br /></td></tr>
<tr class="separator:a86836a6f446885d459f048a9c0f393fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa0414cf8105658e81912a3a41d752cb"><td class="memItemLeft" align="right" valign="top"><a id="aaa0414cf8105658e81912a3a41d752cb"></a>
subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceoutput.html#aaa0414cf8105658e81912a3a41d752cb">finalize_output</a></td></tr>
<tr class="memdesc:aaa0414cf8105658e81912a3a41d752cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">The files where electronic populations and coherences are written are closed in this subroutine. <br /></td></tr>
<tr class="separator:aaa0414cf8105658e81912a3a41d752cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Output subroutines that print: electronic populations and coherences as functions of time; electronic coefficients as functions of positions at different time steps; positions, momenta and energies at different time steps. </p>
<dl class="section author"><dt>Author</dt><dd>Federica Agostini, Institut de Chimie Physique, University Paris-Saclay. </dd></dl>
</div><h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a3d2caef916d021721f8eb6529aac2b4f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d2caef916d021721f8eb6529aac2b4f">&#9670;&nbsp;</a></span>compute_energy()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine output::compute_energy </td>
          <td>(</td>
          <td class="paramtype">complex(kind=qp), dimension(nstates,nstates), intent(in)&#160;</td>
          <td class="paramname"><em>my_rho</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(kind=dp), dimension(nstates), intent(in)&#160;</td>
          <td class="paramname"><em>e_BO</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>trajlabel</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The subroutine computes the expectation value of the electronic Hamiltonian on the time-dependent electronic wavefunction, yielding the gauge-invariant part of the TDPES in CT-MQC or the mean Ehrenfest potential. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">trajlabel</td><td>label of the trajectory </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">my_rho</td><td>electronic density matrix </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">e_BO</td><td>adiabatic or spin-(a)diabatic energy </td></tr>
    <tr><td class="paramdir"></td><td class="paramname">i</td><td>integer index </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The value of the TDPES is returned, where "TDPES" means either the gauge-invariant part of the TDPES in CT-MQC or the mean Ehrenfest potential. </dd></dl>

<p class="definition">Definition at line <a class="el" href="output_8f90_source.html#l00215">215</a> of file <a class="el" href="output_8f90_source.html">output.f90</a>.</p>

</div>
</div>
<a id="a86836a6f446885d459f048a9c0f393fb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86836a6f446885d459f048a9c0f393fb">&#9670;&nbsp;</a></span>initialize_output()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine output::initialize_output</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The files where electronic populations and coherences are written are opened in this subroutine. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ios</td><td>control variable for output errors </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="output_8f90_source.html#l00237">237</a> of file <a class="el" href="output_8f90_source.html">output.f90</a>.</p>

</div>
</div>
<a id="a97d7611603ef98cdf4434e93ae5ea38d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a97d7611603ef98cdf4434e93ae5ea38d">&#9670;&nbsp;</a></span>plot()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine output::plot </td>
          <td>(</td>
          <td class="paramtype">complex(kind=qp), dimension(ntraj,nstates,nstates), intent(in)&#160;</td>
          <td class="paramname"><em>BOsigma</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(kind=dp), dimension(ntraj,n_dof), intent(in)&#160;</td>
          <td class="paramname"><em>Rcl</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(kind=dp), dimension(ntraj,n_dof), intent(in)&#160;</td>
          <td class="paramname"><em>Vcl</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>time</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Subroutine which writes electronic populations and coherences in output and calls additional output subroutines. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">time</td><td>time step </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">Rcl</td><td>positions of the trajectories </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">Vcl</td><td>velocities of the trajectories </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">BOsigma</td><td>electronic density matrix </td></tr>
    <tr><td class="paramdir"></td><td class="paramname">i,j</td><td>integer indices </td></tr>
    <tr><td class="paramdir"></td><td class="paramname">itraj</td><td>integer index running over the Ntraj trajectories </td></tr>
    <tr><td class="paramdir"></td><td class="paramname">index_ij</td><td>integer index running over the pairs of electronic states </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Energies, forces and non-adiabatic couplings are stored in the arrays BOenergy, BOforce, coup. </dd></dl>

<p class="definition">Definition at line <a class="el" href="output_8f90_source.html#l00048">48</a> of file <a class="el" href="output_8f90_source.html">output.f90</a>.</p>

</div>
</div>
<a id="ac9b4106993ba0f3f342033fbb3965daa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac9b4106993ba0f3f342033fbb3965daa">&#9670;&nbsp;</a></span>plot_coefficients()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine output::plot_coefficients </td>
          <td>(</td>
          <td class="paramtype">complex(kind=qp), dimension(ntraj,nstates,nstates), intent(in)&#160;</td>
          <td class="paramname"><em>BOsigma</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(kind=dp), dimension(ntraj,n_dof), intent(in)&#160;</td>
          <td class="paramname"><em>Rcl</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>time</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Subroutine which writes electronic coeffecients as functions of the trajectory positions at some selected time steps along the dynamics. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">time</td><td>time step </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">Rcl</td><td>positions of the trajectories </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">BOsigma</td><td>electronic density matrix </td></tr>
    <tr><td class="paramdir"></td><td class="paramname">idx</td><td>index labelling the output files from 000 to 999 </td></tr>
    <tr><td class="paramdir"></td><td class="paramname">filename</td><td>name of the output file </td></tr>
    <tr><td class="paramdir"></td><td class="paramname">itraj</td><td>integer index running over the Ntraj trajectories </td></tr>
    <tr><td class="paramdir"></td><td class="paramname">ios</td><td>control variable for output errors </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>In the directory coeff the files coeff.XXX.dat are created, labelled from 000 to 999 (those indices label the time steps). </dd></dl>

<p class="definition">Definition at line <a class="el" href="output_8f90_source.html#l00121">121</a> of file <a class="el" href="output_8f90_source.html">output.f90</a>.</p>

</div>
</div>
<a id="ab306200f08bbb52e685f616adb4ed5ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab306200f08bbb52e685f616adb4ed5ec">&#9670;&nbsp;</a></span>plot_r_p_e()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine output::plot_r_p_e </td>
          <td>(</td>
          <td class="paramtype">real(kind=dp), dimension(ntraj,n_dof), intent(in)&#160;</td>
          <td class="paramname"><em>Rcl</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(kind=dp), dimension(ntraj,n_dof), intent(in)&#160;</td>
          <td class="paramname"><em>Vcl</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>time</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Subroutine which writes electronic coeffecients as functions of the trajectory positions at some selected time steps along the dynamics. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">time</td><td>time step </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">Rcl</td><td>positions of the trajectories </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">Vcl</td><td>velocities of the trajectories </td></tr>
    <tr><td class="paramdir"></td><td class="paramname">idx</td><td>index labelling the output files from 000 to 999 </td></tr>
    <tr><td class="paramdir"></td><td class="paramname">filename</td><td>name of the output file </td></tr>
    <tr><td class="paramdir"></td><td class="paramname">itraj</td><td>integer index running over the Ntraj trajectories </td></tr>
    <tr><td class="paramdir"></td><td class="paramname">ios</td><td>control variable for output errors </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>In the directory trajectories the files RPE.XXX.dat are created, labelled from 000 to 999 (those indices label the time steps). </dd></dl>

<p class="definition">Definition at line <a class="el" href="output_8f90_source.html#l00161">161</a> of file <a class="el" href="output_8f90_source.html">output.f90</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceoutput.html">output</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
